AOWP_Weaver (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.weaver.AOWP_Weaver
/aspect/weaver/Weaver.class.php at line 13

# Class AOWP_Weaver

    AOWP_Weaver

public class AOWP_Weaver

Enter description here...

Field Summary
final str | SERIARIZE_FILENAME
private mixed | $_RemainingASTTasks
private mixed | $_RemainingAspectTasks
private mixed | $_allChachedASTFileNameArray
private mixed | $_nowWeavingAspect

Constructor Summary
AOWP_Weaver()

Method Summary
void | getAllASTNum()
void | getRemainingASTTaskNum()
void | getRemainingAspectTaskNum()
void | getSerializeFilePath()
void | isEndWeaving()
void | seriarize()
void | weaveAllAspect()
static void | weaveAspectToOnePHPFile(mixed element, mixed aspect, string filePath, $aspect )
void | weaveNext()

## Field Detail

/aspect/weaver/Weaver.class.php at line 20

### SERIARIZE_FILENAME

`public final str SERIARIZE_FILENAME = 'AOWP_Weaver'`

/aspect/weaver/Weaver.class.php at line 17

### _RemainingASTTasks

`private mixed $_RemainingASTTasks = array()`

/aspect/weaver/Weaver.class.php at line 15

### _RemainingAspectTasks

`private mixed $_RemainingAspectTasks = array()`

/aspect/weaver/Weaver.class.php at line 16

### _allChachedASTFileNameArray

`private mixed $_allChachedASTFileNameArray = array()`

/aspect/weaver/Weaver.class.php at line 18

### _nowWeavingAspect

`private mixed $_nowWeavingAspect = null`

## Constructor Detail

/aspect/weaver/Weaver.class.php at line 22

### AOWP_Weaver

`public AOWP_Weaver()`

## Method Detail

/aspect/weaver/Weaver.class.php at line 42

### getAllASTNum

`public void getAllASTNum()`

/aspect/weaver/Weaver.class.php at line 39

### getRemainingASTTaskNum

`public void getRemainingASTTaskNum()`

/aspect/weaver/Weaver.class.php at line 36

### getRemainingAspectTaskNum

`public void getRemainingAspectTaskNum()`

/aspect/weaver/Weaver.class.php at line 92

### getSerializeFilePath

`public void getSerializeFilePath()`

/aspect/weaver/Weaver.class.php at line 82

### isEndWeaving

`public void isEndWeaving()`

/aspect/weaver/Weaver.class.php at line 86

### seriarize

`public void seriarize()`

/aspect/weaver/Weaver.class.php at line 74

### weaveAllAspect

`public void weaveAllAspect()`

/aspect/weaver/Weaver.class.php at line 103

### weaveAspectToOnePHPFile

`public static void weaveAspectToOnePHPFile(mixed element, mixed aspect, string filePath, $aspect )`

/aspect/weaver/Weaver.class.php at line 46

### weaveNext

`public void weaveNext()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr